<script lang="ts">
  import AdminLayout from '$lib/components/layouts/AdminLayout.svelte';
  import Search from '$lib/components/Search.svelte';
  import Button from '$lib/components/Button.svelte';
  import type { PageData } from './$types';
  import JournalItem from '$lib/components/Items/JournalItem.svelte';
  import ResearchItem from '$lib/components/Items/ResearchItem.svelte';
  import { axiosInstance } from '$lib/config';

  export let data: PageData;

  let researches = data?.research.data;

  async function handleSearch(event: any) {
    const res = await axiosInstance.get('/research', { params: { ...(event.detail && { name: event.detail }) } });

    researches = res.data.data;
  }
</script>

<svelte:head>
    <title>Журналы</title>
</svelte:head>

<AdminLayout>
    <header class="mt-8 mr-8 flex justify-end gap-6">
        <Search on:search={handleSearch}/>
        <a href="/admin/research/create">
            <Button class="h-full">Создать</Button>
        </a>
    </header>
    <section class="pr-8 space-y-6">
        {#each researches as { id, name, researchCategory: category, deletedAt }}
            {#if !deletedAt}
                <ResearchItem
                    {id}
                    {name}
                    {category}
                    admin
                />
            {/if}
        {/each}
    </section>
</AdminLayout>